# [VCL](https://github.com/vcl/doc) panel

Container element to group and highlight content.

## Features

A panel consisting a body, header and footer.
All elements are optional.
The panel body may for example hold textual content, tables, dividers etc.

A card variant is an alternative visual appearance.

## Usage

The content of the body can be wrapped in a panel content (`vclPanelContent`)
which adds padding.

[basic example](/demo/example-basic.html)

A Panel with text and a table as content.

[table example](/demo/example-table.html)

Card variant.

[card example](/demo/example-card.html)

## Classes

- `vclPanel`
- `vclPanelHeader`
- `vclPanelHeading`
- `vclPanelTitle`
- `vclPanelBody`
- `vclPanelContent`
- `vclPanelFooter`

## Modifiers

- `vclPanelCard`

## Variables

- `--panel-bg-color`
- `--panel-hf-line-height`
- `--panel-border-color`
- `--panel-header-color`
- `--panel-header-bg-color`
- `--panel-footer-color`
- `--panel-footer-bg-color`
- `--panel-border-radius--card`

## Demo

[example.html](/demo/example.html) on GH-pages.
